require 'test_helper'

class ProxyTest < TestCase
  
  def setup
    @proxy = OzonParser::Proxy.new 'http://127.0.0.1:8080'
  end

  def teardown
    OzonParser.config_reset
  end

  def test_proxy_has_port_and_host
    assert { @proxy.host == '127.0.0.1' }
    assert { @proxy.port == 8080 }
  end

  def test_freeze_proxy
    @proxy.freeze
    assert { @proxy.frozen? }
  end

end