# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ozon_parser/version'

Gem::Specification.new do |spec|
  spec.name          = "ozon_parser"
  spec.version       = OzonParser::VERSION
  spec.authors       = ["Partos"]
  spec.email         = ["partos0511@gmail.com"]
  spec.description   = %q{Simple OZON parser}
  spec.summary       = %q{Simple OZON parser}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "nokogiri", "~> 1.6.1"
  spec.add_runtime_dependency "mechanize", "2.7.1"
  spec.add_runtime_dependency "activesupport"
  spec.add_runtime_dependency "multi_json", "~> 1.9"

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake"

  spec.add_development_dependency 'minitest', "~> 5.3.0"
  spec.add_development_dependency 'minitest-vcr'
  spec.add_development_dependency 'vcr'
  spec.add_development_dependency 'webmock', '< 1.16'
  spec.add_development_dependency 'wrong'
end