require 'bundler/setup'
Bundler.require

require "minitest/autorun"
require "minitest/pride"
require "vcr"
# require "minitest-vcr"
require "webmock"
require 'webmock/minitest'

require 'wrong'
require 'wrong/adapters/minitest'
Wrong.config.color
# require "mocha/setup"

VCR.configure do |c|
	# c.allow_http_connections_when_no_cassette = true
  	c.cassette_library_dir = 'test/cassettes'
  	c.hook_into :webmock
end

# MinitestVcr::Spec.configure!

class TestCase < Minitest::Test
	include Wrong
  	include WebMock::API  
	WebMock.disable_net_connect!
end




